aboutsummaryrefslogtreecommitdiff
path: root/net/openconnect
diff options
context:
space:
mode:
authorFrederick Morlock <FrederickGeek8@gmail.com>2020-12-24 00:48:52 +0800
committerFrederick Morlock <FrederickGeek8@gmail.com>2021-01-01 17:18:27 +0800
commit5d85f5af6358ed2350ffc6641fee67db1b07d619 (patch)
treed5a4e75feb7d87e61b761e7088df305c90c26ab5 /net/openconnect
parent98c7710f48c3f422b20b5a26892b24065d0d56c9 (diff)
openconnect: Fix secondary password script overwriting primary
When specifying a secondary password script, the output should be appended to the temporary password file and shouldn't overwrite it. If you refer to the case where there is a static secondary password, you can see that the secondary password is appended. Without this fix, only the secondary password is passed to the `openconnect` session. Signed-off-by: Frederick Morlock <FrederickGeek8@gmail.com>
Diffstat (limited to 'net/openconnect')
-rwxr-xr-xnet/openconnect/files/openconnect.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/net/openconnect/files/openconnect.sh b/net/openconnect/files/openconnect.sh
index d310cf5c1..37f1945f4 100755
--- a/net/openconnect/files/openconnect.sh
+++ b/net/openconnect/files/openconnect.sh
@@ -115,7 +115,7 @@ proto_openconnect_setup() {
[ -n "$password2" ] && echo "$password2" >> "$pwfile"
}
[ "$token_mode" = "script" ] && {
- $token_script > "$pwfile" 2> /dev/null || {
+ $token_script >> "$pwfile" 2> /dev/null || {
logger -t openconenct "Cannot get password from script '$token_script'"
proto_setup_failed "$config"
}